diff --git a/inviteflood/Makefile b/inviteflood/Makefile
index 6b20164..a7dfb09 100644
--- a/inviteflood/Makefile
+++ b/inviteflood/Makefile
@@ -1,5 +1,5 @@
 inviteflood: inviteflood.c inviteflood.h
-	gcc -I../hack_library inviteflood.c -lnet ../hack_library/hack_library.o -o inviteflood
+	gcc -g -I../hack_library inviteflood.c -lnet ../hack_library/hack_library.o -o inviteflood
 
 clean:
 	rm -f inviteflood inviteflood.o
